List Scorecards
curl --request GET \
--url https://api.lendflow.com/api/score_cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": null,
"statuses": [
2
],
"cards": null,
"workflow_template_ids": null,
"include_lendflow": false,
"with_runs_count": true,
"is_global": true,
"application_id": null,
"workflow_stage_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed"
}
'import requests
url = "https://api.lendflow.com/api/score_cards"
payload = {
"client_id": None,
"statuses": [2],
"cards": None,
"workflow_template_ids": None,
"include_lendflow": False,
"with_runs_count": True,
"is_global": True,
"application_id": None,
"workflow_stage_id": "6ff8f7f6-1eb3-3525-be4a-3932c805afed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: null,
statuses: [2],
cards: null,
workflow_template_ids: null,
include_lendflow: false,
with_runs_count: true,
is_global: true,
application_id: null,
workflow_stage_id: '6ff8f7f6-1eb3-3525-be4a-3932c805afed'
})
};
fetch('https://api.lendflow.com/api/score_cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"name": "Animi quos velit et fugiat.",
"description": "Accusantium harum mollitia modi deserunt aut ab. Perspiciatis quo omnis nostrum aut adipisci quidem nostrum qui. Incidunt iure odit et et modi ipsum.",
"status": 2,
"type": 2,
"borrower_type": null,
"points": 763,
"product_type_id": null,
"client_id": null,
"is_global": false,
"created_at": null,
"funder": {
"id": null
},
"workflow_template_id": null,
"workflow_template": {
"id": null
},
"origin_offer_template_id": null,
"offer_template_id": null
},
{
"id": null,
"name": "Officia est dignissimos neque blanditiis odio veritatis excepturi.",
"description": "Fugit qui repudiandae laboriosam est alias. Ratione nemo voluptate accusamus ut et recusandae modi rerum. Repellendus assumenda et tenetur ab reiciendis.",
"status": 2,
"type": 2,
"borrower_type": null,
"points": 866,
"product_type_id": null,
"client_id": null,
"is_global": false,
"created_at": null,
"funder": {
"id": null
},
"workflow_template_id": null,
"workflow_template": {
"id": null
},
"origin_offer_template_id": null,
"offer_template_id": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 100,
"to": 2,
"total": 2
}
}Scorecards
List Scorecards
Returns a paginated list of your scorecards. Results can be searched, sorted, and scoped to an application to include that application’s latest run results.
GET
/
api
/
score_cards
List Scorecards
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Must match an existing stored value.
Example:
null
Available options:
1, 2 Example:
[2]
Must match an existing stored value.
Example:
null
Must match an existing stored value.
Example:
null
Example:
false
Include runs count in response.
Example:
true
Only global (or only non-global) score cards.
Example:
true
Must match an existing stored value.
Example:
null
Must be a valid UUID.
Example:
"6ff8f7f6-1eb3-3525-be4a-3932c805afed"
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"name": "Animi quos velit et fugiat.",
"description": "Accusantium harum mollitia modi deserunt aut ab. Perspiciatis quo omnis nostrum aut adipisci quidem nostrum qui. Incidunt iure odit et et modi ipsum.",
"status": 2,
"type": 2,
"borrower_type": null,
"points": 763,
"product_type_id": null,
"client_id": null,
"is_global": false,
"created_at": null,
"funder": { "id": null },
"workflow_template_id": null,
"workflow_template": { "id": null },
"origin_offer_template_id": null,
"offer_template_id": null
},
{
"id": null,
"name": "Officia est dignissimos neque blanditiis odio veritatis excepturi.",
"description": "Fugit qui repudiandae laboriosam est alias. Ratione nemo voluptate accusamus ut et recusandae modi rerum. Repellendus assumenda et tenetur ab reiciendis.",
"status": 2,
"type": 2,
"borrower_type": null,
"points": 866,
"product_type_id": null,
"client_id": null,
"is_global": false,
"created_at": null,
"funder": { "id": null },
"workflow_template_id": null,
"workflow_template": { "id": null },
"origin_offer_template_id": null,
"offer_template_id": null
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?